### Function Macro

# Gtk widget_class_bind_template_child_internal_private

#### Declaration [src]

    #define gtk_widget_class_bind_template_child_internal_private (
      widget_class,
      TypeName,
      member_name
    )

#### Description [src]

Binds a child widget defined in a template to the `widget_class`.

Additionally, the child is made available as an internal child in `GtkBuilder`, under the name `member_name`.

This macro is a convenience wrapper around `gtk_widget_class_bind_template_child_full()`.

This macro will use the offset of the `member_name` inside the `TypeName` private data structure.

This function is not directly available to language bindings.

#### Parameters

`widget_class`

  Type: `-`

  A widget class.

`TypeName`

  Type: `-`

  The type name, in CamelCase.

`member_name`

  Type: `-`

  Name of the instance private member on the private struct for `data_type`.